If you add more editor support, don't forget to add it to the [FAQ](https://github.com/Araq/Nimrod/blob/master/web/question.txt) as well. 

The following editors have some Nimrod support:

### Emacs
https://github.com/Tass/nimrod-mode

### Vim
https://github.com/zah/nimrod.vim/

* Syntax Highlighting
* Auto-indent
* Build/Jump to errors within Vim
* Project Navigation and Jump to Definition (using the Ctags support listed below or [Nimrod's idetools](http://build.nimrod-code.org/docs/idetools.html) command)

### Scite
Recent versions of Scite have out-of-the-box support for Nimrod. For older versions: <br />
http://scintilla.hg.sourceforge.net/hgweb/scintilla/scite/raw-file/0d8c2122d6f8/src/nimrod.properties

### Aporia
Aporia is a Nimrod IDE written in Nimrod. <br />
https://github.com/nimrod-code/Aporia/

### Gedit/Other GtkSourceView editors
There is a .lang file for gedit [here](https://github.com/nimrod-code/Aporia/blob/master/share/gtksourceview-2.0/language-specs/nimrod.lang)

### Geany
There is a [pull request](https://github.com/geany/geany/pull/193) to provide Nimrod support in [Geany](http://www.geany.org).

### Ctags
Basic ```~/.ctags``` rules for nimrod code (Feel free to improve and contribute)
Don't use this if possible, [nimrod idetools](http://build.nimrod-code.org/docs/idetools.html) provides better results.

```
--langdef=nimrod
--langmap=nimrod:.nim
--regex-nimrod=/(\w+)\*?\s*=\s*object/\1/t,class/
--regex-nimrod=/(\w+)\*?\s*=\s*enum/\1/t,enum/
--regex-nimrod=/(\w+)\*?\s*=\s*tuple/\1/t,tuple/
--regex-nimrod=/(\w+)\*?\s*=\s*range/\1/t,subrange/
--regex-nimrod=/(\w+)\*?\s*=\s*proc/\1/t,proctype/
--regex-nimrod=/proc\s+(\w+)/\1/f,procedure/
--regex-nimrod=/method\s+(\w+)/\1/f,method/
--regex-nimrod=/proc\s+`([^`]+)`/\1/o,operator/
--regex-nimrod=/template\s+(\w+)/\1/t,template/
--regex-nimrod=/macro\s+(\w+)/\1/m,macro
```

### jEdit
https://github.com/exhu/nimrod-misc/tree/master/jedit

### Sublime
https://github.com/leonardoce/nimrod-sublime